# Uses of Interface
java.io.ObjectInput

Packages that use ObjectInput
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.rmi.server
Provides classes and interfaces for supporting the server side of RMI.
jdk.jshell.execution
Provides implementation support for building JShell execution engines.

- ## Uses of ObjectInput in java.awt.datatransfer

  Methods in java.awt.datatransfer with parameters of type ObjectInput
  Modifier and Type
  Method
  Description
  `void`
  DataFlavor.`readExternal(ObjectInput is)`
  Restores this `DataFlavor` from a Serialized state.

- ## Uses of ObjectInput in java.io

  Classes in java.io that implement ObjectInput
  Modifier and Type
  Class
  Description
  `class`
  `ObjectInputStream`
  An ObjectInputStream deserializes primitive data and objects previously written using an ObjectOutputStream.
  Methods in java.io with parameters of type ObjectInput
  Modifier and Type
  Method
  Description
  `void`
  Externalizable.`readExternal(ObjectInput in)`
  The object implements the readExternal method to restore its contents by calling the methods of DataInput for primitive types and readObject for objects, strings and arrays.

- ## Uses of ObjectInput in java.rmi.server

  Methods in java.rmi.server that return ObjectInput
  Modifier and Type
  Method
  Description
  `ObjectInput`
  RemoteCall.`getInputStream()`
  Deprecated.
  no replacement
  Methods in java.rmi.server with parameters of type ObjectInput
  Modifier and Type
  Method
  Description
  `static ObjID`
  ObjID.`read(ObjectInput in)`
  Constructs and returns a new `ObjID` instance by unmarshalling a binary representation from an `ObjectInput` instance.

- ## Uses of ObjectInput in jdk.jshell.execution

  Methods in jdk.jshell.execution with parameters of type ObjectInput
  Modifier and Type
  Method
  Description
  `static void`
  Util.`forwardExecutionControl(ExecutionControl ec, ObjectInput in, ObjectOutput out)`
  Forward commands from the input to the specified `ExecutionControl` instance, then responses back on the output.
  Method parameters in jdk.jshell.execution with type arguments of type ObjectInput
  Modifier and Type
  Method
  Description
  `static ExecutionControl`
  Util.`remoteInputOutput(InputStream input, OutputStream output, Map<String, OutputStream> outputStreamMap, Map<String, InputStream> inputStreamMap, BiFunction<ObjectInput, ObjectOutput, ExecutionControl> factory)`
  Creates an ExecutionControl for given packetized input and output.
  Constructors in jdk.jshell.execution with parameters of type ObjectInput
  Modifier
  Constructor
  Description
  `protected`
  `JdiExecutionControl(ObjectOutput out, ObjectInput in)`
  Create an instance.
  ``
  `StreamingExecutionControl(ObjectOutput out, ObjectInput in)`
  Creates an instance.